import { AxiosRequestConfig } from "axios";

function isDefine(val: any) {
  return val !== void 0 && val !== null;
}

function isObject(val: any) {
  return Object.prototype.toString.call(val) === "[object Object]";
}

const filterEmpty = (data:Record<string, any>) => {
  if (isObject(data)) {
    data = Object.entries(data).reduce<Record<string, any>>(
      (d, [k, v]) => {
        if (isDefine(v)) {
          d[k] = v;
        }
        return d;
      },
      {}
    );
  }
  return data
}

export const filterConfigEmpty = (config: AxiosRequestConfig) => {
  config.data = filterEmpty(config.data)
  config.params = filterEmpty(config.params)
  return config
};

